Subject: Re: [PATCH net-next v2 1/9] selftests: hsr: Add ping test for PRP

From: Felix Maurer <[email-masked]>
Date: Tue, 3 Feb 2026 16:07:50 +0100

On Tue, Feb 03, 2026 at 02:47:12PM +0100, Sebastian Andrzej Siewior wrote:
> On 2026-02-03 13:23:50 [+0100], Felix Maurer wrote:
> > But like you, I'm uncertain what would be the right thing to do and
> > which port should control the MAC for all the others.
>
> At the very least I need the same MAC on both ends for PTP.
> Now that check the spec, 5.2.1.1 "HSR handling of multicast frames",
> bottom below Figure 10, says it sends the frame over frame A and frame B
> oder the ports. The "src-MAC + sequence number" uniquely identify the
> same frame.
> Now I am certain that the two different MACs are wrong. Let deal with
> this later and then decide what to do about the testsuite.

Alright, I lean towards same MAC on both ports as well. But yeah, let's
fix this in the future, including the test suite.

Thanks,
   Felix